/* ==========================================================================*/
/* - - - - - - - - - - - - -   G p s . h   - - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the gps module                                     */
/*	Created   2011-04-23   M. Wheatley                                       */
/*	Modified  2011-04-23   MW                                                */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////
#ifndef GPS_H_
#define GPS_H_
#include "common.h"

/* Scheduler includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

/*---------------------------------------------------------------------------*/
/*------------------> G L O B A L   D E F I N E S <--------------------------*/
/*---------------------------------------------------------------------------*/
#define GPSQSIZE 512

#define MAX_PARAM 16


//GPS status aquisition states
#define GPS_STATUS_FULLSYNC 0	//GPS fully synced and running at max resolution
#define GPS_STATUS_TIMESYNC 1	//Found sats waiting for 1PPS 3D Time Sync
#define GPS_STATUS_NO_SAT 2		//No Sattelites
#define GPS_STATUS_ERROR_ANT 3	//No antenna connection

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void GpsInit( );
void SendGpsStr( char* pStr);
void SendGpsUart(uint8_t ch);


/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern xSemaphoreHandle xGpsRxSemaphore;
extern uint8_t GpsRxQueue[];
extern volatile uint32_t GpsRxHead;
extern BOOL GpsTimeIsValid;
extern BOOL TimeIsAccurate;
extern BOOL GpsTimeIsValid;
extern uint8_t GpsStatus;
extern uint8_t GPSHour;
extern uint8_t GPSMinute;
extern uint8_t GPSSecond;
extern uint8_t MHStr[];
extern uint8_t NumSats;
extern uint8_t LatStr[MAX_PARAM];
extern uint8_t LonStr[MAX_PARAM];


#endif /*GPS_H_*/
