/* ==========================================================================*/
/* - - - - - - - - - - - - -   T e r m . h   - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the term module                                    */
/*	Created   2011-08-21   M. Wheatley                                       */
/*	Modified  2011-08-21   MW                                                */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////
#ifndef TERM_H_
#define TERM_H_
#include "common.h"

/* Scheduler includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

/*---------------------------------------------------------------------------*/
/*------------------> G L O B A L   D E F I N E S <--------------------------*/
/*---------------------------------------------------------------------------*/
#define TERMQSIZE 2048

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void TermInit( );
void SendTermStr( char* pStr);
void SendTermUart(unsigned char ch);


/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern xSemaphoreHandle xTermRxSemaphore;
extern uint8_t TermRxQueue[];
extern uint8_t TermTxQueue[];
extern volatile uint32_t TermRxHead;
extern volatile uint32_t TermTxTail;
extern uint32_t TermTxHead;

#endif /*TERM_H_*/
